Bug Hunting Session
Bug 87610 - UNO: Duplication of .uno:InsertBookmark as .uno:InsertAnchor
Summary: UNO: Duplication of .uno:InsertBookmark as .uno:InsertAnchor
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: UNO-Command-New Bookmarks
  Show dependency treegraph
 
Reported: 2014-12-22 19:36 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-06-01 18:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-22 19:36:53 UTC
The uno command .uno:InsertBookmark needs to be duplicated as .uno:InsertAnchor for use in Writer Web and as webpages use the word anchor to identify bookmarks.
Comment 1 Cor Nouws 2014-12-23 09:54:03 UTC
Hi Jay,

And then of course change the menu Insert .. too?
OK!
Comment 2 Yousuf Philips (jay) (retired) 2014-12-23 12:16:51 UTC
Yes the new .uno:InsertAnchor would be included in the Insert menu and in the standard toolbar replacing .uno:InsertBookmark.
Comment 3 Yousuf Philips (jay) (retired) 2016-02-28 15:24:44 UTC
Now that Maxim has implemented UNO command aliases in bug 84258, this was a simple fix.

https://gerrit.libreoffice.org/22747
Comment 4 Commit Notification 2016-03-05 02:00:07 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a46a4154fde96d71d1b73068f1479722e4163647

tdf#87610 Replace Bookmark with Anchor in Writer Web

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.